// =============================================================================
//
//	InitUtils.h
//	
//	Author: Greg Friedman
//
// =============================================================================

#ifndef __INITUTILS__
#define __INITUTILS__

extern Handle gExclusionList;
extern Handle gInclusionList;

OSErr	DetachInitResource(OSType resType, short resID);
void	ExcludeCurrentProcess();
OSErr	GetCurrentProcessSignature(OSType* signature);
void	InitializeLists();
Handle 	LoadAndDetachSys(ResType type, short id);

Boolean IsInList(Handle list, OSType signature);
void	AddToList(Handle list, OSType signature);

inline Boolean IsExcluded(OSType signature)
{
	return IsInList(gExclusionList, signature);
}

inline Boolean IsIncluded(OSType signature)
{
	return IsInList(gInclusionList, signature);
}



#endif